1. Account Management
v1.0 (Deprecated)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
        GET
      • Internal Transfer
        POST
      • Get Internal Transfer
        GET
      • Get Settlement Statement
        GET
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Create Fiat Account Application
        • Get Fiat Account Application Status
        • Fiat Account Application Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Withdrawal
        • Get List of Currencies that Supports Same-Name Withdrawal
        • Create Fiat Withdrawal
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • [Deprecated] Upload File
  1. Account Management

Internal Transfer

POST
/v1.0/payment/account/internalTransfer

API Overview#

ItemValue
API StatusStable
Current Versionv1.0
Backward CompatibilityNo
Applicable EnvironmentProduction
Description
Transfer funds between PSP and merchant accounts internally.

Request

Body Params application/json

Example
{
    "fromParticipantCode": "string",
    "toParticipantCode": "string",
    "currency": "string",
    "amount": "string",
    "clientReference": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1.0/payment/account/internalTransfer' \
--header 'Content-Type: application/json' \
--data-raw '{
    "fromParticipantCode": "string",
    "toParticipantCode": "string",
    "currency": "string",
    "amount": "string",
    "clientReference": "string"
}'

Responses

🟢200OK
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "transferId": "string",
        "fromParticipantCode": "string",
        "toParticipantCode": "string",
        "currency": "string",
        "amount": "string",
        "clientReference": "string",
        "createdAt": "string"
    }
}
Modified at 2026-04-02 07:32:36
Previous
Get Balance
Next
Get Internal Transfer
Built with